aboutsummaryrefslogtreecommitdiff
path: root/tcwg-base
diff options
context:
space:
mode:
Diffstat (limited to 'tcwg-base')
-rwxr-xr-xtcwg-base/build-image.sh24
-rwxr-xr-xtcwg-base/build.sh22
-rwxr-xr-xtcwg-base/tcwg-build/build-image.sh26
-rwxr-xr-xtcwg-base/tcwg-build/build.sh23
-rwxr-xr-xtcwg-base/tcwg-dev/build-image.sh29
-rwxr-xr-xtcwg-base/tcwg-dev/build.sh26
-rwxr-xr-xtcwg-base/tcwg-llvmbot/build.sh (renamed from tcwg-base/tcwg-llvmbot/build-image.sh)0
7 files changed, 61 insertions, 89 deletions
diff --git a/tcwg-base/build-image.sh b/tcwg-base/build-image.sh
deleted file mode 100755
index 14751841..00000000
--- a/tcwg-base/build-image.sh
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-
-set -e
-
-trap cleanup_exit INT TERM EXIT
-
-cleanup_exit()
-{
- rm -rf tcwg-buildslave
-}
-
-export LANG=C
-top=$(git rev-parse --show-toplevel)
-distro=$(basename ${PWD} | cut -f1 -d '-')
-arch=$(basename ${PWD} | cut -f2 -d '-')
-name=$(basename ${PWD} | cut -f3- -d '-')
-image=linaro/ci-${arch}-${name}-ubuntu:${distro}
-baseimage=$(grep "^FROM" Dockerfile | head -n 1 | cut -d" " -f 2)
-
-"$top"/tcwg-base/validate-dockerfile.sh Dockerfile
-docker pull $baseimage 2>/dev/null || true
-docker pull $image 2>/dev/null || true
-docker build --tag=$image .
-echo $image > .docker-tag
diff --git a/tcwg-base/build.sh b/tcwg-base/build.sh
index 8ed9a7ef..14751841 100755
--- a/tcwg-base/build.sh
+++ b/tcwg-base/build.sh
@@ -2,9 +2,23 @@
set -e
-#
+trap cleanup_exit INT TERM EXIT
+
+cleanup_exit()
+{
+ rm -rf tcwg-buildslave
+}
+
+export LANG=C
top=$(git rev-parse --show-toplevel)
+distro=$(basename ${PWD} | cut -f1 -d '-')
+arch=$(basename ${PWD} | cut -f2 -d '-')
+name=$(basename ${PWD} | cut -f3- -d '-')
+image=linaro/ci-${arch}-${name}-ubuntu:${distro}
+baseimage=$(grep "^FROM" Dockerfile | head -n 1 | cut -d" " -f 2)
-for i in $top/*-tcwg-base/; do
- (cd $i; ./build.sh)
-done
+"$top"/tcwg-base/validate-dockerfile.sh Dockerfile
+docker pull $baseimage 2>/dev/null || true
+docker pull $image 2>/dev/null || true
+docker build --tag=$image .
+echo $image > .docker-tag
diff --git a/tcwg-base/tcwg-build/build-image.sh b/tcwg-base/tcwg-build/build-image.sh
deleted file mode 100755
index 8624b7fd..00000000
--- a/tcwg-base/tcwg-build/build-image.sh
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/sh
-
-set -e
-
-trap cleanup_exit INT TERM EXIT
-
-cleanup_exit()
-{
- rm -rf tcwg-buildslave tcwg-benchmark
-}
-
-export LANG=C
-distro=$(basename ${PWD} | cut -f1 -d '-')
-arch=$(basename ${PWD} | cut -f2 -d '-')
-name=$(basename ${PWD} | cut -f3- -d '-')
-image=linaro/ci-${arch}-${name}-ubuntu:${distro}
-top=$(git rev-parse --show-toplevel)
-
-rsync -a $top/tcwg-base/tcwg-build/tcwg-buildslave/ ./tcwg-buildslave/
-rsync -a $top/tcwg-base/tcwg-build/tcwg-benchmark/ ./tcwg-benchmark/
-
-(cd ..; ./build.sh)
-"$top"/tcwg-base/validate-dockerfile.sh Dockerfile
-docker pull $image 2>/dev/null || true
-docker build --tag=$image .
-echo $image > .docker-tag
diff --git a/tcwg-base/tcwg-build/build.sh b/tcwg-base/tcwg-build/build.sh
index 458d6561..8624b7fd 100755
--- a/tcwg-base/tcwg-build/build.sh
+++ b/tcwg-base/tcwg-build/build.sh
@@ -2,8 +2,25 @@
set -e
+trap cleanup_exit INT TERM EXIT
+
+cleanup_exit()
+{
+ rm -rf tcwg-buildslave tcwg-benchmark
+}
+
+export LANG=C
+distro=$(basename ${PWD} | cut -f1 -d '-')
+arch=$(basename ${PWD} | cut -f2 -d '-')
+name=$(basename ${PWD} | cut -f3- -d '-')
+image=linaro/ci-${arch}-${name}-ubuntu:${distro}
top=$(git rev-parse --show-toplevel)
-for i in $top/*-tcwg-base/*-tcwg-build/; do
- (cd $i; ./build.sh)
-done
+rsync -a $top/tcwg-base/tcwg-build/tcwg-buildslave/ ./tcwg-buildslave/
+rsync -a $top/tcwg-base/tcwg-build/tcwg-benchmark/ ./tcwg-benchmark/
+
+(cd ..; ./build.sh)
+"$top"/tcwg-base/validate-dockerfile.sh Dockerfile
+docker pull $image 2>/dev/null || true
+docker build --tag=$image .
+echo $image > .docker-tag
diff --git a/tcwg-base/tcwg-dev/build-image.sh b/tcwg-base/tcwg-dev/build-image.sh
deleted file mode 100755
index 8729547c..00000000
--- a/tcwg-base/tcwg-dev/build-image.sh
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/bin/sh
-
-set -e
-
-trap cleanup_exit INT TERM EXIT
-
-cleanup_exit()
-{
- rm -f start.sh run.sh
-}
-
-export LANG=C
-distro=$(basename ${PWD} | cut -f1 -d '-')
-arch=$(basename ${PWD} | cut -f2 -d '-')
-name=$(basename ${PWD} | cut -f3- -d '-')
-image=linaro/ci-${arch}-${name}-ubuntu:${distro}
-top=$(git rev-parse --show-toplevel)
-
-cat $top/tcwg-base/tcwg-dev/start.sh.tmpl \
- | sed -e "s#@IMAGE@#$image#g" \
- -e "s#@DISTRO@#$distro#g" > start.sh
-chmod +x start.sh
-cp $top/tcwg-base/tcwg-dev/run.sh.tmpl run.sh
-
-(cd ..; ./build.sh)
-"$top"/tcwg-base/validate-dockerfile.sh Dockerfile
-docker pull $image 2>/dev/null || true
-docker build --tag=$image .
-echo $image > .docker-tag
diff --git a/tcwg-base/tcwg-dev/build.sh b/tcwg-base/tcwg-dev/build.sh
index 74040bed..8729547c 100755
--- a/tcwg-base/tcwg-dev/build.sh
+++ b/tcwg-base/tcwg-dev/build.sh
@@ -2,8 +2,28 @@
set -e
+trap cleanup_exit INT TERM EXIT
+
+cleanup_exit()
+{
+ rm -f start.sh run.sh
+}
+
+export LANG=C
+distro=$(basename ${PWD} | cut -f1 -d '-')
+arch=$(basename ${PWD} | cut -f2 -d '-')
+name=$(basename ${PWD} | cut -f3- -d '-')
+image=linaro/ci-${arch}-${name}-ubuntu:${distro}
top=$(git rev-parse --show-toplevel)
-for i in $top/*-tcwg-base/*-tcwg-dev/; do
- (cd $i; ./build.sh)
-done
+cat $top/tcwg-base/tcwg-dev/start.sh.tmpl \
+ | sed -e "s#@IMAGE@#$image#g" \
+ -e "s#@DISTRO@#$distro#g" > start.sh
+chmod +x start.sh
+cp $top/tcwg-base/tcwg-dev/run.sh.tmpl run.sh
+
+(cd ..; ./build.sh)
+"$top"/tcwg-base/validate-dockerfile.sh Dockerfile
+docker pull $image 2>/dev/null || true
+docker build --tag=$image .
+echo $image > .docker-tag
diff --git a/tcwg-base/tcwg-llvmbot/build-image.sh b/tcwg-base/tcwg-llvmbot/build.sh
index 34860c0f..34860c0f 100755
--- a/tcwg-base/tcwg-llvmbot/build-image.sh
+++ b/tcwg-base/tcwg-llvmbot/build.sh